# $Revision: 1.12 $, $Date: 2006/10/31 22:26:40 $
Summary:	SELinux binary policy manipulation library
Summary(pl):	Biblioteka do obrbki polityk SELinuksa w postaci binarnej
Name:		libsepol
Version:	1.14
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
# Source0-md5:	c9868a96cab771c73295339b174d0a40
URL:		http://www.nsa.gov/selinux/
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary
policies. It is used by checkpolicy (the policy compiler) and similar
tools, as well as by programs like load_policy that need to perform
specific transformations on binary policies such as customizing policy
boolean settings.

%description -l pl
Security-enhanced Linux jest prototypem jdra Linuksa i wielu
aplikacji uytkowych o funkcjach podwyszonego bezpieczestwa.
Zaprojektowany jest tak, aby w prosty sposb ukaza znaczenie
obowizkowej kontroli dostpu dla spoecznoci linuksowej. Ukazuje
rwnie jak tak kontrol mona doda do istniejcego systemu typu
Linux. Jdro SELinux zawiera nowe skadniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczestwa systemu operacyjnego
Flask. Te elementy zapewniaj oglne wsparcie we wdraaniu wielu typw
polityk obowizkowej kontroli dostpu, wczajc te wzorowane na: Type
Enforcement (TE), kontroli dostpu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

libsepol dostarcza API do obrbki polityk SELinuksa w postaci
binarnej. Jest uywane przez checkpolicy (kompilator polityk) i
podobne narzdzia, a take przez programy w rodzaju load_policy,
potrzebne do wykonywania okrelonych przeksztace na binarnych
politykach, takich jak dostosowywanie logicznych ustawie polityki.

%package devel
Summary:	Header files used to build policy manipulation tools
Summary(pl):	Pliki nagwkowe do budowania narzdzi obrabiajcych polityk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing
applications that manipulate binary policies.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
obrabiajcych binarne polityki.

%package static
Summary:	Static version of libsepol library
Summary(pl):	Statyczna wersja biblioteki libsepol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsepol library.

%description static -l pl
Statyczna wersja biblioteki libsepol.

%prep
%setup -q

# "relocation truncated to fit" on sparc64
sed -i -e 's/-fpic/-fPIC/' src/Makefile

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	SHLIBDIR=$RPM_BUILD_ROOT/%{_lib}

# make symlink across / absolute
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libsepol.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsepol.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) /%{_lib}/libsepol.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libsepol.so
%{_includedir}/sepol
%{_mandir}/man3/*.3*
%{_mandir}/man8/*.8*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsepol.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsepol.spec,v $
Revision 1.12  2006/10/31 22:26:40  qboosh
- updated to 1.14

Revision 1.11  2006/07/30 15:05:09  sparky
- pass rpmldflags

Revision 1.10  2006/03/19 11:51:21  qboosh
- updated to 1.12

Revision 1.9  2005/12/27 08:39:40  qboosh
- use -fPIC instead of -fpic, release 2

Revision 1.8  2005/12/21 22:34:53  qboosh
- updated to 1.10

Revision 1.7  2005/09/22 15:58:08  arekm
- up to 1.8

Revision 1.6  2005/07/01 20:34:46  qboosh
- updated to 1.6
- License is LGPL v2.1 now

Revision 1.5  2005/03/11 23:31:51  qboosh
- updated to 1.4

Revision 1.4  2004/11/04 19:27:59  qboosh
- added ChangeLog to doc

Revision 1.3  2004/11/04 19:11:05  qboosh
- updated to 1.2

Revision 1.2  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.1  2004/08/28 22:28:38  qboosh
- new, rewritten from spec included in package
